/*  $Id: outputsource_memory.cpp,v 1.5 2003/07/20 22:30:53 grumbel Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
**
*/

#include "Core/precomp.h"
#include <API/Core/System/cl_assert.h>
#include <API/Core/IOData/outputsource_memory.h>

CL_OutputSource_Memory::CL_OutputSource_Memory()
{
	pos = 0;
}

CL_OutputSource_Memory::~CL_OutputSource_Memory()
{
}

std::string CL_OutputSource_Memory::get_data() const
{
	return data;
}

int CL_OutputSource_Memory::write(const void *source_data, int size)
{
	data.append((const char *) source_data, size);
	pos += size;
	
	return size;
}

void CL_OutputSource_Memory::open()
{
}

void CL_OutputSource_Memory::close()
{
}

CL_OutputSource *CL_OutputSource_Memory::clone()
{
	cl_assert(false); // not implemented yet.
	return NULL;
}

int CL_OutputSource_Memory::tell() const 
{
	return pos;
}

int CL_OutputSource_Memory::size() const 
{
	return pos;
}
